--- ./xmonad.cabal.orig	2009-12-17 00:25:04.000000000 +0100
+++ ./xmonad.cabal	2010-06-05 05:02:05.000000000 +0200
@@ -32,6 +32,14 @@
     description: Testing mode, only build minimal components
     default: False
 
+flag executable
+    description: Build the xmonad executable.
+    default: True
+
+flag library
+    Description: Build the xmonad library.
+    default: True
+
 library
     exposed-modules:    XMonad
                         XMonad.Main
@@ -55,6 +63,11 @@
     if flag(testing)
         buildable: False
 
+    if flag(library)
+        buildable: True
+    else
+        buildable: False
+
 executable xmonad
     main-is:            Main.hs
     other-modules:      XMonad
@@ -77,3 +90,8 @@
         ghc-options:    -Werror
     if flag(testing) && flag(small_base)
         build-depends:  random
+
+    if flag(executable)
+        buildable: True
+    else
+        buildable: False
